/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strcmp.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: tmaze <marvin@42.fr>                       +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/04/03 15:38:27 by tmaze             #+#    #+#             */
/*   Updated: 2018/04/05 11:53:33 by tmaze            ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

int	ft_strcmp(const char *s1, const char *s2)
{
	int i;
	int diff;

	i = 1;
	diff = s1[0] - s2[0];
	while (diff == 0 && s1[i - 1] && s2[i - 1])
	{
		diff = s1[i] - s2[i];
		i++;
	}
	return (diff);
}
